package com.unitreactnativecomponents
import com.facebook.react.ReactPackage
import com.facebook.react.bridge.NativeModule
import com.facebook.react.bridge.ReactApplicationContext
import com.facebook.react.uimanager.ViewManager
import com.unitreactnativecomponents.getapplicationid.UNAppInfoModule
import com.unitreactnativecomponents.nativeComponents.UnitAddToWalletButtonViewManager
import com.unitreactnativecomponents.nativeComponents.secureView.UNSecureNativeViewManager
import com.unitreactnativecomponents.nativeModules.security.UNSecurityHelperModule
import com.unitreactnativecomponents.nativeModules.sharefile.UNShareFile
import com.unitreactnativecomponents.nativeModules.unStoreModule.UNStoreModule
import com.unitreactnativecomponents.nativeModules.unComponentsSnapshotProtectionModule.UNComponentsSnapshotProtectionModule

class UnitReactNativeComponentsPackage : ReactPackage {
  override fun createViewManagers(reactContext: ReactApplicationContext): List<ViewManager<*, *>> {
    return listOf(
      UNSecureNativeViewManager(),
      UnitAddToWalletButtonViewManager()
      )
  }

  override fun createNativeModules(reactContext: ReactApplicationContext): List<NativeModule> {
    val modules: ArrayList<NativeModule> = ArrayList()
    modules.add(UNShareFile(reactContext))
    modules.add(UNAppInfoModule(reactContext))
    modules.add(UNStoreModule(reactContext))
    modules.add(UNSecurityHelperModule(reactContext))
    modules.add(UNComponentsSnapshotProtectionModule(reactContext))
    return modules
  }
}
