package com.unitreactnativecomponents.nativeComponents.secureView

import com.facebook.react.module.annotations.ReactModule
import com.facebook.react.uimanager.ThemedReactContext
import com.facebook.react.uimanager.ViewGroupManager
import com.facebook.react.uimanager.annotations.ReactProp
import com.facebook.react.views.view.ReactViewGroup

@ReactModule(name = UNSecureNativeViewManager.REACT_VIEW_NAME)
class UNSecureNativeViewManager: ViewGroupManager<ReactViewGroup>() {
    override fun getName() = REACT_VIEW_NAME

    override fun createViewInstance(reactContext: ThemedReactContext): ReactViewGroup {
        return ReactViewGroup(reactContext)
    }

    @ReactProp(name = "filterTouchesWhenObscured")
    fun setFilterTouchesWhenObscured(view: ReactViewGroup, filter: Boolean) {
      view.filterTouchesWhenObscured = filter
    }

  companion object {
    const val REACT_VIEW_NAME = "UNSecureNativeView"
  }
}
