// CameraAccess.swift

import Foundation
import AVFoundation

@objc(UNPermissionsModule)
class UNPermissionsModule: NSObject, RCTBridgeModule {
  static func moduleName() -> String {
    return "UNPermissionsModule"
  }

  @objc static func requiresMainQueueSetup() -> Bool {
    return true
  }

  @objc func camera(_ resolve: @escaping RCTPromiseResolveBlock, rejecter reject: @escaping RCTPromiseRejectBlock) {
    AVCaptureDevice.requestAccess(for: .video) { (granted: Bool) in
      if granted {
        resolve("Camera access granted")
      } else {
        reject("ERROR", "Camera access denied", nil)
      }
    }
  }
}
