"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.injectRefreshEventIfNeeded = exports.injectActivityFiltersChanged = exports.getActivityScript = exports.getActivityParams = void 0;
var _bodyScript = require("./../../scripts/html/bodyScript");
var _webComponent = require("../../types/internal/webComponent.types");
const getActivityParams = props => {
  const accountIdParam = props.accountId ? `account-id="${props.accountId}"` : '';
  const queryFilterParam = props.queryFilter ? `query-filter="${props.queryFilter}"` : '';
  const paginationTypeParam = props.paginationType ? `pagination-type="${props.paginationType}"` : '';
  const transactionsPerPageParam = props.transactionsPerPage ? `transactions-per-page="${props.transactionsPerPage}"` : '';
  return `
    ${accountIdParam}
    hide-filter-button="${props.hideFilterButton || false}"
    hide-back-to-top="${props.hideBackToTop || false}"
    hide-title="${props.hideTitle || false}"
    ${queryFilterParam}
    ${paginationTypeParam}
    ${transactionsPerPageParam}
    style="height: 100%"
  `;
};
exports.getActivityParams = getActivityParams;
const getActivityScript = () => {
  return _bodyScript.DISPATCH_REQUEST_REFRESH;
};
exports.getActivityScript = getActivityScript;
const injectRefreshEventIfNeeded = (currentWeb, requestRefreshEvent) => {
  if (requestRefreshEvent && requestRefreshEvent.dependencies.includes(_webComponent.WebComponentType.activity.valueOf())) {
    currentWeb?.injectJavaScript(`dispatchRefreshEvent('${JSON.stringify(requestRefreshEvent)}')`);
  }
};
exports.injectRefreshEventIfNeeded = injectRefreshEventIfNeeded;
const injectActivityFiltersChanged = (currentWeb, query) => {
  currentWeb?.injectJavaScript(`dispatchActivityFilterChangedEvent('${query}')`);
};
exports.injectActivityFiltersChanged = injectActivityFiltersChanged;
//# sourceMappingURL=UNActivityComponent.utils.js.map