"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _bottomSheet = require("../../../../types/internal/bottomSheet.types");
var _reactRedux = require("react-redux");
var _BottomSheetSlice = require("../../../../slices/BottomSheetSlice");
var _UNAddToWalletComponent = require("../../../../nativeComponents/UNAddToWallet/UNAddToWalletComponent");
var _UNBottomSheetComponent = require("../../UNBottomSheetComponent.constants");
var _UNACHCreditComponent = _interopRequireDefault(require("../../../UNACHCreditComponent/UNACHCreditComponent"));
var _UNCheckDepositComponent = _interopRequireDefault(require("../../../UNCheckDepositComponent/UNCheckDepositComponent"));
var _UNACHDebitComponent = _interopRequireDefault(require("../../../UNACHDebitComponent/UNACHDebitComponent"));
var _UNBookPaymentComponent = _interopRequireDefault(require("../../../UNBookPaymentComponent/UNBookPaymentComponent"));
var _UNWirePaymentComponent = _interopRequireDefault(require("../../../UNWirePaymentComponent/UNWirePaymentComponent"));
var _UNCreateCardComponent = _interopRequireDefault(require("../../../UNCreateCardComponent/UNCreateCardComponent"));
var _pageMessage = require("../../../../messages/webMessages/pageMessage");
var _useListenerToEvent = require("../../../../hooks/useListenerToEvent");
var _UNKeyboardAvoidingView = _interopRequireDefault(require("../../../../helpers/UNKeyboardAvoidingView/UNKeyboardAvoidingView"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const UNBottomSheetNativeComponent = props => {
  const dispatch = (0, _reactRedux.useDispatch)();
  const [height, setHeight] = (0, _react.useState)(0);
  const [paddingTop, setPaddingTop] = (0, _react.useState)(0);
  const [paddingBottom, setPaddingBottom] = (0, _react.useState)(0);
  const [padding, setPadding] = (0, _react.useState)(0);
  const updateComponetHeight = height => {
    // content height are supported for internal components only.
    setHeight(height);
    dispatch((0, _BottomSheetSlice.setComponentHeight)(height));
  };
  (0, _useListenerToEvent.useListenerToEvent)({
    busEventKey: _pageMessage.PageMessage.PAGE_HEIGHT,
    action: updateComponetHeight
  });
  (0, _react.useEffect)(() => {
    const setPaddingForNativeComponent = () => {
      const type = props.nativeComponentData?.component.type;
      if (type != _bottomSheet.BottomSheetNativeComponentType.CheckDepositComponent) {
        setPadding(20);
        setPaddingTop(30);
      }
      setPaddingBottom(20);
    };
    const setScrollStateForNativeComponent = () => {
      const scrollState = props.nativeComponentData.scrollState ?? _bottomSheet.ScrollState.unScrollable;
      dispatch((0, _BottomSheetSlice.setScrollState)(scrollState));
      dispatch((0, _BottomSheetSlice.setShouldEnableBottomSheetScroll)(scrollState !== _bottomSheet.ScrollState.onlyWebView));
    };
    setScrollStateForNativeComponent();
    setPaddingForNativeComponent();
  }, [dispatch, props.nativeComponentData]);
  (0, _react.useEffect)(() => {
    const setBottomSheetNativeComponentViewHeight = () => {
      let adjustedHeight;
      switch (props.nativeComponentData.nativePlace) {
        case _bottomSheet.BottomSheetNativePlaceType.overFullScreen:
          adjustedHeight = _UNBottomSheetComponent.overFullScreenHeight;
          break;
        case _bottomSheet.BottomSheetNativePlaceType.modal:
          adjustedHeight = _UNBottomSheetComponent.fullScreenHeight - _UNBottomSheetComponent.statusBarHeight;
          break;
        default:
          return;
      }
      if (adjustedHeight !== undefined) {
        setHeight(adjustedHeight);
        dispatch((0, _BottomSheetSlice.setComponentHeight)(adjustedHeight));
      }
    };
    setBottomSheetNativeComponentViewHeight();
  }, [props.nativeComponentData.nativePlace]);
  const renderNativeComponent = () => {
    switch (props.nativeComponentData?.component.type) {
      case _bottomSheet.BottomSheetNativeComponentType.AddToWalletComponent:
        return /*#__PURE__*/_react.default.createElement(_UNAddToWalletComponent.UNAddToWalletComponent, props.nativeComponentData.component.props);
      case _bottomSheet.BottomSheetNativeComponentType.ACHCreditComponent:
        return /*#__PURE__*/_react.default.createElement(_UNACHCreditComponent.default, props.nativeComponentData.component.props);
      case _bottomSheet.BottomSheetNativeComponentType.ACHDebitComponent:
        return /*#__PURE__*/_react.default.createElement(_UNACHDebitComponent.default, props.nativeComponentData.component.props);
      case _bottomSheet.BottomSheetNativeComponentType.CheckDepositComponent:
        return /*#__PURE__*/_react.default.createElement(_UNCheckDepositComponent.default, props.nativeComponentData.component.props);
      case _bottomSheet.BottomSheetNativeComponentType.BookPaymentComponent:
        return /*#__PURE__*/_react.default.createElement(_UNBookPaymentComponent.default, props.nativeComponentData.component.props);
      case _bottomSheet.BottomSheetNativeComponentType.WirePaymentComponent:
        return /*#__PURE__*/_react.default.createElement(_UNWirePaymentComponent.default, props.nativeComponentData.component.props);
      case _bottomSheet.BottomSheetNativeComponentType.CreateCardComponent:
        return /*#__PURE__*/_react.default.createElement(_UNCreateCardComponent.default, props.nativeComponentData.component.props);
    }
  };
  switch (props.nativeComponentData.nativePlace) {
    case _bottomSheet.BottomSheetNativePlaceType.modal:
      return /*#__PURE__*/_react.default.createElement(_UNKeyboardAvoidingView.default, {
        style: {
          height,
          padding,
          paddingTop,
          paddingBottom
        }
      }, renderNativeComponent());
    case _bottomSheet.BottomSheetNativePlaceType.overFullScreen:
      return /*#__PURE__*/_react.default.createElement(_UNKeyboardAvoidingView.default, {
        style: {
          height
        }
      }, renderNativeComponent());
    default:
      return /*#__PURE__*/_react.default.createElement(_UNKeyboardAvoidingView.default, null, renderNativeComponent());
  }
};
var _default = exports.default = UNBottomSheetNativeComponent;
//# sourceMappingURL=UNBottomSheetNativeComponent.js.map