"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _WebComponent = require("../../../../webComponent/WebComponent");
var _webComponent = require("../../../../types/internal/webComponent.types");
var _UNBottomSheetComponent = require("../../UNBottomSheetComponent.utils");
var _react = _interopRequireWildcard(require("react"));
var _pageMessage = require("../../../../messages/webMessages/pageMessage");
var _unitComponentsMessages = require("../../../../messages/webMessages/unitComponentsMessages");
var _bottomSheet = require("../../../../types/internal/bottomSheet.types");
var _cardMessage = require("../../../../messages/webMessages/cardMessage");
var _SharedEventsSlice = require("../../../../slices/SharedEventsSlice");
var _accountMessage = require("../../../../messages/webMessages/accountMessage");
var _activityMessage = require("../../../../messages/webMessages/activityMessage");
var _reactRedux = require("react-redux");
var _BottomSheetSlice = require("../../../../slices/BottomSheetSlice");
var _UNAccountComponent = require("../../../UNAccountComponent/UNAccountComponent.utils");
var _UNAccountComponent2 = require("../../../UNAccountComponent/UNAccountComponent");
var _UNBottomSheetComponent2 = require("../../UNBottomSheetComponent.constants");
var _bottomSheetMessage = require("../../../../messages/nativeMessages/bottomSheetMessage");
var _plaidMessages = require("../../../../messages/webMessages/plaidMessages");
var _payeeManagementMessage = require("../../../../messages/webMessages/payeeManagementMessage");
var _UNKeyboardAvoidingView = _interopRequireDefault(require("../../../../helpers/UNKeyboardAvoidingView/UNKeyboardAvoidingView"));
var _multipleCardsMessage = require("../../../../messages/webMessages/multipleCardsMessage");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const UNBottomSheetSlotComponent = props => {
  const dispatch = (0, _reactRedux.useDispatch)();
  const webRef = (0, _react.useRef)(null);
  const scrollState = (0, _reactRedux.useSelector)(state => state.bottomSheet.scrollState);
  const nativePlace = props.requestRenderingEvent?.data?.nativePlace;
  (0, _react.useEffect)(() => {
    const scrollStateForSlot = () => {
      if (!props.requestRenderingEvent) return;
      switch (props.componentName) {
        case _webComponent.WebComponentType.account:
          {
            const accountActionType = (0, _UNAccountComponent.getAccountActionType)(props.requestRenderingEvent);
            dispatch((0, _BottomSheetSlice.setScrollState)(accountActionType === _UNAccountComponent2.UNAccountAction.List ? _bottomSheet.ScrollState.onTop : _bottomSheet.ScrollState.unScrollable));
            dispatch((0, _BottomSheetSlice.setShouldEnableBottomSheetScroll)(true));
            break;
          }
        case _webComponent.WebComponentType.card:
          {
            dispatch((0, _BottomSheetSlice.setScrollState)(_bottomSheet.ScrollState.onTop));
            dispatch((0, _BottomSheetSlice.setShouldEnableBottomSheetScroll)(true));
            break;
          }
        default:
          {
            // default web component case
            const nativePlace = props.requestRenderingEvent.data.nativePlace;
            switch (nativePlace) {
              case _bottomSheet.BottomSheetNativePlaceType.overFullScreen:
                dispatch((0, _BottomSheetSlice.setScrollState)(_bottomSheet.ScrollState.onTop));
                dispatch((0, _BottomSheetSlice.setShouldEnableBottomSheetScroll)(true));
                break;
              case _bottomSheet.BottomSheetNativePlaceType.modal:
                dispatch((0, _BottomSheetSlice.setScrollState)(_bottomSheet.ScrollState.onlyWebView));
                dispatch((0, _BottomSheetSlice.setShouldEnableBottomSheetScroll)(false));
                break;
              default:
                dispatch((0, _BottomSheetSlice.setScrollState)(_bottomSheet.ScrollState.onTop));
                dispatch((0, _BottomSheetSlice.setShouldEnableBottomSheetScroll)(true));
                break;
            }
          }
      }
    };
    scrollStateForSlot();
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [props.componentName, props.requestRenderingEvent.data.nativePlace]);
  const _onWebMessage = message => {
    switch (message.type) {
      case _pageMessage.PageMessage.PAGE_LOADED:
        if (webRef.current && props.requestRenderingEvent) {
          (0, _UNBottomSheetComponent.renderingBottomSheetRequest)(webRef.current, props.requestRenderingEvent);
        }
        break;
      case _pageMessage.PageMessage.PAGE_HEIGHT:
        {
          const height = message.details.height;
          switch (nativePlace) {
            case _bottomSheet.BottomSheetNativePlaceType.overFullScreen:
              (0, _UNBottomSheetComponent.injectHtmlFullScreenHeight)(webRef.current, _UNBottomSheetComponent2.overFullScreenHeight);
              break;
            case _bottomSheet.BottomSheetNativePlaceType.modal:
              (0, _UNBottomSheetComponent.injectHtmlFullScreenHeight)(webRef.current, _UNBottomSheetComponent2.fullScreenHeight - _UNBottomSheetComponent2.statusBarHeight);
              break;
            case _bottomSheet.BottomSheetNativePlaceType.menu:
            case _bottomSheet.BottomSheetNativePlaceType.contentHeight:
              if (height < _UNBottomSheetComponent2.overFullScreenHeight) {
                dispatch((0, _BottomSheetSlice.setComponentHeight)(height));
              } else {
                dispatch((0, _BottomSheetSlice.setComponentHeight)(_UNBottomSheetComponent2.overFullScreenHeight));
              }
              break;
          }
          dispatch((0, _BottomSheetSlice.setIsComponentLoading)(false));
          break;
        }
      case _unitComponentsMessages.UnitComponentsMessage.UNIT_REQUEST_RENDERING:
        {
          const requestRendering = message.details;
          const requestRenderingSlotData = {
            type: _bottomSheet.BottomSheetRenderingType.Slot,
            data: {
              requestRenderingEvent: requestRendering,
              componentResourceId: props.componentResourceId
            }
          };
          dispatch((0, _SharedEventsSlice.setEvent)({
            key: _bottomSheetMessage.BottomSheetNativeMessage.REQUEST_RENDERING,
            data: requestRenderingSlotData
          }));
          break;
        }
      case _unitComponentsMessages.UnitComponentsMessage.UNIT_REQUEST_CLOSE_FLOW:
        dispatch((0, _SharedEventsSlice.setEvent)({
          key: _unitComponentsMessages.UnitComponentsMessage.UNIT_REQUEST_CLOSE_FLOW,
          data: {}
        }));
        break;
      case _cardMessage.CardMessage.CARD_ACTIVATED:
        dispatch((0, _SharedEventsSlice.setEvent)({
          key: _cardMessage.CardMessage.CARD_ACTIVATED,
          data: message.details.card
        }));
        break;
      case _plaidMessages.PlaidMessage.UNIT_OPEN_PLAID:
        dispatch((0, _SharedEventsSlice.setEvent)({
          key: _plaidMessages.PlaidMessage.UNIT_OPEN_PLAID,
          data: message.details
        }));
        break;
      case _cardMessage.CardMessage.CARD_STATUS_CHANGED:
        dispatch((0, _SharedEventsSlice.setEvent)({
          key: _cardMessage.CardMessage.CARD_STATUS_CHANGED,
          data: message.details.card
        }));
        break;
      case _accountMessage.AccountMessage.UNIT_ACCOUNT_CHANGED:
        dispatch((0, _SharedEventsSlice.setEvent)({
          key: _accountMessage.AccountMessage.UNIT_ACCOUNT_CHANGED,
          data: message.details.account
        }));
        break;
      case _activityMessage.ActivityMessage.UNIT_ACTIVITY_FILTERS_CHANGED:
        dispatch((0, _SharedEventsSlice.setEvent)({
          key: _activityMessage.ActivityMessage.UNIT_ACTIVITY_FILTERS_CHANGED,
          data: message.details
        }));
        break;
      case _multipleCardsMessage.MultipleCardsMessage.UNIT_MULTIPLE_CARDS_FILTERS_CHANGED:
        dispatch((0, _SharedEventsSlice.setEvent)({
          key: _multipleCardsMessage.MultipleCardsMessage.UNIT_MULTIPLE_CARDS_FILTERS_CHANGED,
          data: message.details
        }));
        break;
      case _payeeManagementMessage.PayeeManagementMessage.UNIT_COUNTERPARTY_DELETED:
        {
          dispatch((0, _SharedEventsSlice.setEvent)({
            key: _payeeManagementMessage.PayeeManagementMessage.UNIT_COUNTERPARTY_DELETED,
            data: message.details.counterparty
          }));
          break;
        }
    }
  };

  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  const _onScrollWebView = event => {
    if (scrollState === _bottomSheet.ScrollState.unScrollable) return;
    const currY = event.nativeEvent.contentOffset.y;
    if (_bottomSheet.ScrollState.onTop && currY < 5) {
      dispatch((0, _BottomSheetSlice.setScrollState)(_bottomSheet.ScrollState.onlyBottomSheet));
      dispatch((0, _BottomSheetSlice.setShouldEnableBottomSheetScroll)(true));
    }
    if (scrollState !== _bottomSheet.ScrollState.onlyWebView && scrollState === _bottomSheet.ScrollState.onTop && currY > 5) {
      dispatch((0, _BottomSheetSlice.setScrollState)(_bottomSheet.ScrollState.onlyWebView));
      dispatch((0, _BottomSheetSlice.setShouldEnableBottomSheetScroll)(false));
    }
  };
  return /*#__PURE__*/_react.default.createElement(_UNKeyboardAvoidingView.default, {
    keyboardVerticalOffset: _UNBottomSheetComponent2.fullScreenHeight - _UNBottomSheetComponent2.overFullScreenHeight
  }, /*#__PURE__*/_react.default.createElement(_WebComponent.WebComponent, {
    ref: webRef,
    type: _webComponent.WebComponentType.slot,
    presentationMode: _webComponent.PresentationMode.CoverInjectedHeight,
    script: (0, _UNBottomSheetComponent.getBottomSheetScript)(),
    onMessage: _onWebMessage,
    isScrollable: scrollState === _bottomSheet.ScrollState.onlyWebView || scrollState === _bottomSheet.ScrollState.onTop,
    handleScroll: _onScrollWebView
  }));
};
var _default = exports.default = UNBottomSheetSlotComponent;
//# sourceMappingURL=UNBottomSheetSlotComponent.js.map