"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _helpers = require("../../helpers/store/helpers");
var _pageMessage = require("../../messages/webMessages/pageMessage");
var _unitComponentsMessages = require("../../messages/webMessages/unitComponentsMessages");
var _UNBaseView = require("../../nativeComponents/UNBaseView");
var _onLoadMessage = require("../../messages/webMessages/onLoadMessage");
var _WebComponent = require("../../webComponent/WebComponent");
var _webComponent = require("../../types/internal/webComponent.types");
var _UNCardActionComponent = require("./UNCardActionComponent.utils");
var _reactNative = require("react-native");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const DEFAULT_HEIGHT = _reactNative.Dimensions.get('window').height * 0.5;
const UNCardActionComponent = props => {
  const [defaultHeight, setDefaultHeight] = (0, _react.useState)();
  const handleUnitOnLoad = response => {
    if (!props.onLoad) {
      return;
    }
    if (_onLoadMessage.RESPONSE_KEYS.errors in response) {
      props.onLoad(response);
      return;
    }
    props.onLoad({
      data: undefined
    });
  };
  const handleMessage = message => {
    if (!message) return;
    switch (message.type) {
      case _pageMessage.PageMessage.PAGE_HEIGHT:
        {
          const currentHeight = message.details.height;
          currentHeight === 0 && setDefaultHeight(DEFAULT_HEIGHT);
          break;
        }
      case _unitComponentsMessages.UnitComponentsMessage.UNIT_ON_LOAD:
        handleUnitOnLoad(message.details);
        break;
      case _unitComponentsMessages.UnitComponentsMessage.UNIT_REQUEST_CLOSE_FLOW:
        props.onCloseFlow && props.onCloseFlow();
        break;
    }
  };
  const style = defaultHeight ? {
    height: defaultHeight
  } : {
    flex: 1
  };
  return /*#__PURE__*/_react.default.createElement(_UNBaseView.UNBaseView, {
    style: style,
    onLoadError: handleUnitOnLoad,
    fallback: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null)
  }, /*#__PURE__*/_react.default.createElement(_WebComponent.WebComponent, {
    type: _webComponent.WebComponentType.cardAction,
    presentationMode: _webComponent.PresentationMode.Inherit,
    params: (0, _UNCardActionComponent.getCardActionParams)(props),
    theme: props.theme,
    language: props.language,
    script: (0, _UNCardActionComponent.getCardActionScript)(),
    onMessage: message => handleMessage(message),
    isScrollable: true
  }));
};
var _default = exports.default = (0, _helpers.withReduxStore)(UNCardActionComponent);
//# sourceMappingURL=UNCardActionComponent.js.map