"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.injectRequestShowSensitiveDataScript = exports.injectRequestHideSensitiveDataScript = exports.injectRequestCardActionScript = exports.injectRefreshEventIfNeeded = exports.injectOpenActionsMenuScript = exports.getCardScript = exports.getCardParams = void 0;
var _bodyScript = require("./../../scripts/html/bodyScript");
var _webComponent = require("../../types/internal/webComponent.types");
var _UnitComponentsSdkManager = require("../../unitComponentsSdkManager/UnitComponentsSdkManager");
const getCardParams = props => {
  const menuItemsParam = props.menuItems ? `menu-items="${props.menuItems.join()}"` : '';
  const feeParam = props.fee ? `fee="${props.fee}"` : '';
  return `
    card-id="${props.cardId}"
    enable-mobile-wallet="${!!(props.pushProvisioningModule || _UnitComponentsSdkManager.UnitComponentsSDK.getPushProvisionModule())}"
    hide-actions-menu-button="${props.hideActionsMenuButton || false}"
    hide-card-title="${props.hideCardTitle || false}"
    hide-sensitive-data-button="${props.hideSensitiveDataButton || false}"
    learn-more-url="${props.learnMoreUrl || ''}"
    ${feeParam}
    ${menuItemsParam}
    show-card-type-subtitle="${props.showCardTypeSubtitle || false}"
    show-card-holder-subtitle="${props.showCardHolderSubtitle || false}"
  `;
};
exports.getCardParams = getCardParams;
const getCardScript = () => {
  return _bodyScript.DISPATCH_REQUEST_REFRESH;
};
exports.getCardScript = getCardScript;
const injectOpenActionsMenuScript = currentWeb => {
  currentWeb?.injectJavaScript(`dispatchOpenActionsMenu('${_webComponent.WebComponentType.card}')`);
};
exports.injectOpenActionsMenuScript = injectOpenActionsMenuScript;
const injectRequestCardActionScript = (currentWeb, action) => {
  currentWeb?.injectJavaScript(`dispatchRequestCardAction('${action}')`);
};
exports.injectRequestCardActionScript = injectRequestCardActionScript;
const injectRequestHideSensitiveDataScript = currentWeb => {
  currentWeb?.injectJavaScript(`dispatchRequestHideSensitiveData('${_webComponent.WebComponentType.card}')`);
};
exports.injectRequestHideSensitiveDataScript = injectRequestHideSensitiveDataScript;
const injectRequestShowSensitiveDataScript = currentWeb => {
  currentWeb?.injectJavaScript(`dispatchRequestShowSensitiveData('${_webComponent.WebComponentType.card}')`);
};
exports.injectRequestShowSensitiveDataScript = injectRequestShowSensitiveDataScript;
const injectRefreshEventIfNeeded = (currentWeb, requestRefreshEvent, cardId) => {
  if (requestRefreshEvent && requestRefreshEvent.dependencies.includes(_webComponent.WebComponentType.card.valueOf()) && requestRefreshEvent.resourceId == cardId) {
    currentWeb?.injectJavaScript(`dispatchRefreshEvent('${JSON.stringify(requestRefreshEvent)}')`);
  }
};
exports.injectRefreshEventIfNeeded = injectRefreshEventIfNeeded;
//# sourceMappingURL=UNCardComponent.utils.js.map