"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _WebComponent = require("../../webComponent/WebComponent");
var _pageMessage = require("../../messages/webMessages/pageMessage");
var _unitComponentsMessages = require("../../messages/webMessages/unitComponentsMessages");
var _UNCheckDepositComponent = require("./UNCheckDepositComponent.utils");
var _checkMessage = require("../../messages/webMessages/checkMessage");
var _onLoadMessage = require("../../messages/webMessages/onLoadMessage");
var _webComponent = require("../../types/internal/webComponent.types");
var _helpers = require("../../helpers/store/helpers");
var _paymentsMessage = require("../../messages/webMessages/paymentsMessage");
var _UNBaseView = require("../../nativeComponents/UNBaseView");
var _UNPermissionsHelper = _interopRequireDefault(require("../../nativeModulesHelpers/UNPermissionsHelper/UNPermissionsHelper"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const UNCheckDepositComponent = props => {
  const [height, setHeight] = (0, _react.useState)(0);
  const [presentationMode, setPresentationMode] = (0, _react.useState)(_webComponent.PresentationMode.Inherit);
  (0, _react.useEffect)(() => {
    const requestCameraAccess = async () => {
      try {
        await _UNPermissionsHelper.default.camera();
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
      } catch (error) {
        console.error(error);
      }
    };
    if (_reactNative.Platform.OS == 'ios') {
      requestCameraAccess();
    }
  }, []);
  const handleUnitOnLoad = response => {
    if (!props.onLoad) {
      return;
    }
    if (_onLoadMessage.RESPONSE_KEYS.errors in response) {
      props.onLoad(response);
      return;
    }
    if (_onLoadMessage.RESPONSE_KEYS.account in response) {
      // AccountOnLoadResponse;
      props.onLoad(response[_onLoadMessage.RESPONSE_KEYS.account]);
      return;
    }
    console.error('On Load Error: unexpected response type');
    return;
  };
  const handleWebViewMessage = message => {
    if (!message || !message.details) return;
    switch (message.type) {
      case _paymentsMessage.PaymentMessage.INITIAL_STAGE_BACK_BUTTON_CLICKED:
        {
          props.onInitialStageBackButtonClicked && props.onInitialStageBackButtonClicked();
          break;
        }
      case _paymentsMessage.PaymentMessage.FINAL_STAGE_DONE_BUTTON_CLICKED:
        {
          props.onFinalStageDoneButtonClicked && props.onFinalStageDoneButtonClicked();
          break;
        }
      case _checkMessage.CheckMessage.CHECK_DEPOSIT_CREATED:
        props.onDepositCreated && props.onDepositCreated(message.details);
        break;
      case _checkMessage.CheckMessage.CHECK_DEPOSIT_RESTART_REQUEST:
        props.onRestartRequest && props.onRestartRequest(message.details);
        break;
      case _unitComponentsMessages.UnitComponentsMessage.UNIT_ON_LOAD:
        handleUnitOnLoad(message.details);
        break;
      case _pageMessage.PageMessage.PAGE_HEIGHT:
        {
          const currentHeight = message.details.height;
          setHeight(currentHeight);
          if (presentationMode === _webComponent.PresentationMode.Inherit && currentHeight === 0) {
            setPresentationMode(_webComponent.PresentationMode.Default);
          }
          break;
        }
    }
  };
  const style = presentationMode === _webComponent.PresentationMode.Inherit ? {
    flex: 1
  } : {
    height: height
  };
  return /*#__PURE__*/_react.default.createElement(_UNBaseView.UNBaseView, {
    style: style,
    onLoadError: handleUnitOnLoad,
    fallback: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null)
  }, /*#__PURE__*/_react.default.createElement(_WebComponent.WebComponent, {
    type: _webComponent.WebComponentType.checkDeposit,
    presentationMode: presentationMode,
    params: (0, _UNCheckDepositComponent.getCheckDepositParams)(props),
    script: (0, _UNCheckDepositComponent.getCheckDepositScript)(),
    onMessage: message => handleWebViewMessage(message),
    theme: props.theme,
    language: props.language,
    isScrollable: true
  }));
};
var _default = exports.default = (0, _helpers.withReduxStore)(UNCheckDepositComponent);
//# sourceMappingURL=UNCheckDepositComponent.js.map