"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _UNBaseView = require("../../nativeComponents/UNBaseView");
var _WebComponent = require("../../webComponent/WebComponent");
var _webComponent = require("../../types/internal/webComponent.types");
var _helpers = require("../../helpers/store/helpers");
var _UNMultiFactorAuthenticationComponent = require("./UNMultiFactorAuthenticationComponent.utils");
var _pageMessage = require("../../messages/webMessages/pageMessage");
var _unitComponentsMessages = require("../../messages/webMessages/unitComponentsMessages");
var _onLoadMessage = require("../../messages/webMessages/onLoadMessage");
var _multiFactorAuthenticationMessage = require("../../messages/webMessages/multiFactorAuthenticationMessage");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const UNMultiFactorAuthenticationComponent = props => {
  const [height, setHeight] = (0, _react.useState)(0);
  const [presentationMode, setPresentationMode] = (0, _react.useState)(_webComponent.PresentationMode.Inherit);
  const handleUnitOnLoad = response => {
    if (!props.onLoad) {
      return;
    }
    if (_onLoadMessage.RESPONSE_KEYS.errors in response) {
      props.onLoad(response);
      return;
    }
    props.onLoad({
      data: undefined
    });
  };
  const handleWebViewMessage = message => {
    if (!message || !message.details) return;
    switch (message.type) {
      case _unitComponentsMessages.UnitComponentsMessage.UNIT_ON_LOAD:
        handleUnitOnLoad(message.details);
        break;
      case _pageMessage.PageMessage.PAGE_HEIGHT:
        {
          const currentHeight = message.details.height;
          setHeight(currentHeight);
          if (presentationMode === _webComponent.PresentationMode.Inherit && currentHeight === 0) {
            setPresentationMode(_webComponent.PresentationMode.Default);
          }
          break;
        }
      case _multiFactorAuthenticationMessage.MultiFactorAuthenticationMessage.UNIT_MFA_VERIFICATION_TOKEN_CREATED:
        props.onVerificationTokenCreated && props.onVerificationTokenCreated(message.details);
        break;
      case _unitComponentsMessages.UnitComponentsMessage.UNIT_MULTI_FACTOR_AUTH_FINISHED:
        {
          const data = JSON.parse(message.details.unitVerifiedCustomerTokenString);
          props.onAuthenticationFinished && props.onAuthenticationFinished(data);
          break;
        }
    }
  };
  const style = presentationMode === _webComponent.PresentationMode.Inherit ? {
    flex: 1
  } : {
    height: height
  };
  return /*#__PURE__*/_react.default.createElement(_UNBaseView.UNBaseView, {
    style: style,
    onLoadError: handleUnitOnLoad,
    fallback: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null)
  }, /*#__PURE__*/_react.default.createElement(_WebComponent.WebComponent, {
    type: _webComponent.WebComponentType.multiFactorAuthentication,
    presentationMode: _webComponent.PresentationMode.Inherit,
    params: (0, _UNMultiFactorAuthenticationComponent.getMultiFactorAuthenticationParams)(),
    script: (0, _UNMultiFactorAuthenticationComponent.getMultiFactorAuthenticationScript)(),
    onMessage: message => handleWebViewMessage(message),
    theme: props.theme,
    language: props.language
  }));
};
var _default = exports.default = (0, _helpers.withReduxStore)(UNMultiFactorAuthenticationComponent);
//# sourceMappingURL=UNMultiFactorAuthenticationComponent.js.map