"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.injectMultipleCardsFiltersChanged = exports.injectCardStatusChangedEvent = exports.injectCardCreated = exports.getMultipleCardsScript = exports.getMultipleCardsParams = void 0;
var _multipleCardsMessage = require("../../messages/webMessages/multipleCardsMessage");
const getMultipleCardsParams = props => {
  const paginationType = props.paginationType ? `pagination-type="${props.paginationType}"` : '';
  const cardsPerPage = props.cardsPerPage ? `cards-per-page="${props.cardsPerPage}"` : '';
  const queryFilter = props.queryFilter ? `query-filter="${props.queryFilter}"` : '';
  return `
  ${paginationType}
  ${cardsPerPage}
  disable-card-click="${props.disableCardClick || false}"
  is-row-item-clickable="${props.isRowItemClickable || false}"
  ${queryFilter}
  hide-title="${props.hideTitle || false}"
  hide-back-to-top="${props.hideBackToTop || false}"
  style="height: 100%"
  `;
};
exports.getMultipleCardsParams = getMultipleCardsParams;
const MULTIPLE_CARDS_LISTENERS = {
  cardClicked: `
    window.addEventListener("${_multipleCardsMessage.MultipleCardsMessage.UNIT_MULTIPLE_CARDS_CARD_CLICKED}", (e) => {
      const response = e.detail
      response.then((data) => {
        postMessageToSDK({ type: "${_multipleCardsMessage.MultipleCardsMessage.UNIT_MULTIPLE_CARDS_CARD_CLICKED}", details: data.data })
      }).catch((e) => {
        console.log(e)
      })
    });
  `
};
const getMultipleCardsScript = () => {
  return `
    ${MULTIPLE_CARDS_LISTENERS.cardClicked}
  `;
};
exports.getMultipleCardsScript = getMultipleCardsScript;
const injectMultipleCardsFiltersChanged = (currentWeb, query) => {
  currentWeb?.injectJavaScript(`dispatchMultipleCardsFilterChangedEvent('${query}')`);
};
exports.injectMultipleCardsFiltersChanged = injectMultipleCardsFiltersChanged;
const injectCardCreated = (currentWeb, card) => {
  currentWeb?.injectJavaScript(`dispatchCardCreatedEvent('${card}')`);
};
exports.injectCardCreated = injectCardCreated;
const injectCardStatusChangedEvent = (currentWeb, card) => {
  currentWeb?.injectJavaScript(`dispatchCardStatusChanged('${JSON.stringify({
    data: card
  })}')`);
};
exports.injectCardStatusChangedEvent = injectCardStatusChangedEvent;
//# sourceMappingURL=UNMultipleCardsComponent.utils.js.map