"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _pageMessage = require("../../messages/webMessages/pageMessage");
var _unitComponentsMessages = require("../../messages/webMessages/unitComponentsMessages");
var _WebComponent = require("../../webComponent/WebComponent");
var _UNNextRepaymentComponent = require("./UNNextRepaymentComponent.utils");
var _onLoadMessage = require("../../messages/webMessages/onLoadMessage");
var _webComponent = require("../../types/internal/webComponent.types");
var _helpers = require("../../helpers/store/helpers");
var _UNBaseView = require("../../nativeComponents/UNBaseView");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const UNNextRepaymentComponent = props => {
  const [height, setHeight] = (0, _react.useState)(0);
  const handleUnitOnLoad = response => {
    if (!props.onLoad) {
      return;
    }
    if (_onLoadMessage.RESPONSE_KEYS.errors in response) {
      props.onLoad(response);
      return;
    }
    if (_onLoadMessage.RESPONSE_KEYS.repayment in response) {
      props.onLoad(response[_onLoadMessage.RESPONSE_KEYS.repayment]);
      return;
    }
    console.error('On Load Error: unexpected response type.');
    return;
  };
  const handleMessage = message => {
    switch (message.type) {
      case _unitComponentsMessages.UnitComponentsMessage.UNIT_ON_LOAD:
        handleUnitOnLoad(message.details);
        break;
      case _pageMessage.PageMessage.PAGE_HEIGHT:
        setHeight(message.details.height);
        break;
    }
  };
  return /*#__PURE__*/_react.default.createElement(_UNBaseView.UNBaseView, {
    style: {
      height,
      width: '100%'
    },
    onLoadError: handleUnitOnLoad,
    fallback: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null)
  }, /*#__PURE__*/_react.default.createElement(_WebComponent.WebComponent, {
    type: _webComponent.WebComponentType.nextRepayment,
    presentationMode: _webComponent.PresentationMode.Default,
    params: (0, _UNNextRepaymentComponent.getNextRepaymentParams)(props),
    theme: props.theme,
    language: props.language,
    onMessage: message => handleMessage(message),
    isScrollable: false
  }));
};
var _default = exports.default = (0, _helpers.withReduxStore)(UNNextRepaymentComponent);
//# sourceMappingURL=UNNextRepaymentComponent.js.map