"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getWirePaymentScript = exports.getWirePaymentParams = void 0;
var _bodyScript = require("../../scripts/html/bodyScript");
const getWirePaymentParams = props => {
  const accountIdParam = props.accountId ? `account-id="${props.accountId}"` : '';
  const feeParam = props.fee ? `fee="${props.fee}"` : '';
  return `
    ${accountIdParam}
    ${feeParam}
    is-auto-focus="${props.isAutoFocus || false}"
    initial-stage-back-button="${props.initialStageBackButton ?? false}"
    final-stage-done-button="${props.finalStageDoneButton ?? false}"
  `;
};
exports.getWirePaymentParams = getWirePaymentParams;
const getWirePaymentScript = () => {
  return `
    ${_bodyScript.LISTENERS.unitPaymentCreated}
    ${_bodyScript.LISTENERS.unitPaymentInitialStageBackButtonClicked}
    ${_bodyScript.LISTENERS.unitPaymentFinalStageDoneButtonClicked}
  `;
};
exports.getWirePaymentScript = getWirePaymentScript;
//# sourceMappingURL=UNWirePaymentComponent.utils.js.map