"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UNCardFlows = void 0;
var _bottomSheet = require("../../types/internal/bottomSheet.types");
var _bottomSheetMessage = require("../../messages/nativeMessages/bottomSheetMessage");
var _SharedEventsSlice = require("../../slices/SharedEventsSlice");
var _store = require("../../store/store");
class UNCardFlows {
  static startPushProvisioning = async (cardId, customerToken) => {
    try {
      const data = {
        type: _bottomSheet.BottomSheetRenderingType.NativeComponent,
        data: {
          nativePlace: _bottomSheet.BottomSheetNativePlaceType.overFullScreen,
          component: {
            type: _bottomSheet.BottomSheetNativeComponentType.AddToWalletComponent,
            props: {
              cardId: cardId,
              customerToken: customerToken
            }
          }
        }
      };
      _store.store.dispatch((0, _SharedEventsSlice.setEvent)({
        key: _bottomSheetMessage.BottomSheetNativeMessage.REQUEST_RENDERING,
        data
      }));
    } catch (error) {
      console.error(error);
    }
  };
}
exports.UNCardFlows = UNCardFlows;
//# sourceMappingURL=UNCardFlows.js.map