"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useLaunchInitialize = void 0;
var _UnitComponentsSdkManager = require("../../../unitComponentsSdkManager/UnitComponentsSdkManager");
var _reactRedux = require("react-redux");
var _pushProvisioningSlice = require("../../../slices/pushProvisioningSlice");
const useLaunchInitialize = () => {
  const dispatch = (0, _reactRedux.useDispatch)();
  const initializePushProvisioning = async () => {
    const pushProvisioningModule = _UnitComponentsSdkManager.UnitComponentsSDK.getPushProvisionModule();
    if (!pushProvisioningModule) {
      console.error('Missing a PushProvisioningModule');
      return;
    }
    try {
      const response = await pushProvisioningModule.launchInitialize();
      console.log(`PushProvisioningModule.launchInitialize: Success \n\n signedNonce : ${response}`);
      const signedNonce = JSON.parse(response).signedNonce;
      dispatch((0, _pushProvisioningSlice.setSignedNonce)(signedNonce));
    } catch (error) {
      // TODO - handle errors
      console.error(error);
    }
  };
  return {
    initializePushProvisioning
  };
};
exports.useLaunchInitialize = useLaunchInitialize;
//# sourceMappingURL=useLaunchInitialize.js.map