"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useListenerToEvent = void 0;
var _react = require("react");
var _reactRedux = require("react-redux");
/* eslint-disable @typescript-eslint/no-explicit-any */

const useListenerToEvent = listener => {
  const isFirstRun = (0, _react.useRef)(true);
  const event = (0, _reactRedux.useSelector)(state => state.sharedEvents.event);
  (0, _react.useEffect)(() => {
    if (isFirstRun.current) {
      isFirstRun.current = false;
      return;
    }
    if (event == null || event == undefined || event?.key != listener.busEventKey) {
      return;
    }
    listener.action(event.data);
  }, [event]);
};
exports.useListenerToEvent = useListenerToEvent;
//# sourceMappingURL=useListenerToEvent.js.map