"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _shared = require("../../types/shared");
var _useIsJailbrokeDevice = require("../../hooks/useIsJailbrokeDevice");
var _useSnapshotProtection = require("../../hooks/useSnapshotProtection");
var _reactRedux = require("react-redux");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
const UNBaseView = props => {
  (0, _useSnapshotProtection.useSnapshotProtection)();
  const customerToken = (0, _reactRedux.useSelector)(state => state.configuration.customerToken);
  const isJailbroke = (0, _useIsJailbrokeDevice.useIsJailbrokeDevice)();
  (0, _react.useEffect)(() => {
    if (isJailbroke) {
      props.onLoadError && props.onLoadError({
        errors: [{
          title: 'Device is Jailbroke'
        }]
      });
    }
  }, [props, isJailbroke]);
  if (isJailbroke) {
    return null;
  }
  if (props.onLoadError && !customerToken) {
    props.onLoadError({
      errors: [{
        code: _shared.UNComponentsErrorCodes.MISSING_TOKEN
      }]
    });
    if (props.fallback) {
      return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, props.fallback);
    }
  }
  if (_reactNative.Platform.OS == 'android') {
    // eslint-disable-next-line @typescript-eslint/no-var-requires
    const UnitAndroidSecureView = require('../UNSecureView/UNSecureViewNativeComponent.android').default;
    return /*#__PURE__*/_react.default.createElement(UnitAndroidSecureView, _extends({
      filterTouchesWhenObscured: true
    }, props));
  } else {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, props);
  }
};
var _default = exports.default = UNBaseView;
//# sourceMappingURL=UNBaseView.js.map