"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setUnitScript = exports.setTheme = exports.setLanguage = exports.setCustomerToken = exports.selectConfiguration = exports.default = void 0;
var _toolkit = require("@reduxjs/toolkit");
const initialState = {};
const ConfigurationSlice = (0, _toolkit.createSlice)({
  name: 'Configuration',
  initialState: initialState,
  reducers: {
    setUnitScript(state, action) {
      state.unitScript = action.payload;
    },
    setTheme(state, action) {
      state.theme = action.payload;
    },
    setLanguage(state, action) {
      state.language = action.payload;
    },
    setCustomerToken(state, action) {
      state.customerToken = action.payload;
    }
  }
});
const {
  setUnitScript,
  setLanguage,
  setTheme,
  setCustomerToken
} = ConfigurationSlice.actions;
exports.setCustomerToken = setCustomerToken;
exports.setTheme = setTheme;
exports.setLanguage = setLanguage;
exports.setUnitScript = setUnitScript;
const selectConfiguration = state => state.configuration;
exports.selectConfiguration = selectConfiguration;
var _default = exports.default = ConfigurationSlice.reducer;
//# sourceMappingURL=ConfigurationSlice.js.map