"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ScrollState = exports.BottomSheetRenderingType = exports.BottomSheetNativePlaceType = exports.BottomSheetNativeComponentType = void 0;
let BottomSheetNativePlaceType = exports.BottomSheetNativePlaceType = /*#__PURE__*/function (BottomSheetNativePlaceType) {
  BottomSheetNativePlaceType["overFullScreen"] = "overFullScreen";
  BottomSheetNativePlaceType["modal"] = "modal";
  BottomSheetNativePlaceType["menu"] = "menu";
  BottomSheetNativePlaceType["contentHeight"] = "contentHeight";
  return BottomSheetNativePlaceType;
}({});
let ScrollState = exports.ScrollState = /*#__PURE__*/function (ScrollState) {
  /*
    Web View ScrollState -
      - Initialization:
      'onTop': for a scrollable webView.
        (onTop means that the webview is onTop of the BottomSheet and we need to recognize the scroll direction).
        Then, it recognize the scroll direction and update the scroll state as needed.
       -'unScrollable': for an unscrollable webView
  */
  ScrollState["onTop"] = "onTop";
  ScrollState["unScrollable"] = "unScrollable";
  /*
    These are only for maintain the bottom sheet scrollState (not an initialize scroll state).
    It relates to the current scroll state.
    onlyWebView means that now the scroll is on webview (only).
    onlyBottomSheet means that now the scroll is on bottomSheet (only).
   */
  ScrollState["onlyWebView"] = "webViewScroll";
  ScrollState["onlyBottomSheet"] = "onlyBottomSheet";
  return ScrollState;
}({});
let BottomSheetRenderingType = exports.BottomSheetRenderingType = /*#__PURE__*/function (BottomSheetRenderingType) {
  BottomSheetRenderingType[BottomSheetRenderingType["Slot"] = 0] = "Slot";
  BottomSheetRenderingType[BottomSheetRenderingType["NativeComponent"] = 1] = "NativeComponent";
  return BottomSheetRenderingType;
}({});
let BottomSheetNativeComponentType = exports.BottomSheetNativeComponentType = /*#__PURE__*/function (BottomSheetNativeComponentType) {
  BottomSheetNativeComponentType["AddToWalletComponent"] = "UNAddToWalletComponent";
  BottomSheetNativeComponentType["ACHCreditComponent"] = "UNACHCreditComponent";
  BottomSheetNativeComponentType["ACHDebitComponent"] = "UNACHDebitComponent";
  BottomSheetNativeComponentType["CheckDepositComponent"] = "UNCheckDepositComponent";
  BottomSheetNativeComponentType["BookPaymentComponent"] = "UNBookPaymentComponent";
  BottomSheetNativeComponentType["WirePaymentComponent"] = "UNWirePaymentComponent";
  BottomSheetNativeComponentType["CreateCardComponent"] = "UNCreateCardComponent";
  return BottomSheetNativeComponentType;
}({});
//# sourceMappingURL=bottomSheet.types.js.map