"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fetchUnitScript = void 0;
var _UnitComponentsSdkManager = require("./UnitComponentsSdkManager");
var _UnitComponentsSdkManagerUtils = require("./UnitComponentsSdkManager.utils.internal");
var _store = require("../store/store");
var _ConfigurationSlice = require("../slices/ConfigurationSlice");
let isLoadingScript = false;
const fetchUnitScript = async () => {
  const env = _UnitComponentsSdkManager.UnitComponentsSDK.getEnv();
  const webVersioningStrategy = _UnitComponentsSdkManager.UnitComponentsSDK.getWebVersioningStrategy();
  if (isLoadingScript || !env) {
    // init function is called and success OR in progress
    return null;
  }
  isLoadingScript = true;
  try {
    const unitScriptRes = await fetch((0, _UnitComponentsSdkManagerUtils.getUnitScriptUrl)(env, webVersioningStrategy));
    const unitScript = await unitScriptRes.text();
    if (unitScript) {
      _store.store.dispatch((0, _ConfigurationSlice.setUnitScript)(unitScript));
    }
    return null;
  } catch (e) {
    console.log(e);
    return null;
  } finally {
    isLoadingScript = false;
  }
};
exports.fetchUnitScript = fetchUnitScript;
//# sourceMappingURL=UnitComponentsSdk.api.js.map