"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getUnitScriptUrl = void 0;
var _env = require("../types/shared/env.types");
var _webVersioningStrategy = require("../utils/webVersioningStrategy.utils");
const getUnitScriptUrl = (env, webVersioningStrategy) => {
  const webSdkVersionString = (0, _webVersioningStrategy.getWebSdkVersionString)(webVersioningStrategy);
  switch (env) {
    case _env.UNComponentsEnvironment.sandbox:
      return `https://ui.s.unit.sh/release/${webSdkVersionString}/components.js`;
    case _env.UNComponentsEnvironment.production:
      return `https://ui.unit.co/release/${webSdkVersionString}/components.js`;
    case _env.UNComponentsEnvironment.mock:
      return 'https://unit-white-label-ui.netlify.app/assets/components-mock.js';
  }
};
exports.getUnitScriptUrl = getUnitScriptUrl;
//# sourceMappingURL=UnitComponentsSdkManager.utils.internal.js.map