import { BottomSheetNativeComponentType, BottomSheetNativePlaceType, BottomSheetRenderingType } from '../../types/internal/bottomSheet.types';
import { BottomSheetNativeMessage } from '../../messages/nativeMessages/bottomSheetMessage';
import { setEvent } from '../../slices/SharedEventsSlice';
import { store } from '../../store/store';
export class UNCardFlows {
  static startPushProvisioning = async (cardId, customerToken) => {
    try {
      const data = {
        type: BottomSheetRenderingType.NativeComponent,
        data: {
          nativePlace: BottomSheetNativePlaceType.overFullScreen,
          component: {
            type: BottomSheetNativeComponentType.AddToWalletComponent,
            props: {
              cardId: cardId,
              customerToken: customerToken
            }
          }
        }
      };
      store.dispatch(setEvent({
        key: BottomSheetNativeMessage.REQUEST_RENDERING,
        data
      }));
    } catch (error) {
      console.error(error);
    }
  };
}
//# sourceMappingURL=UNCardFlows.js.map