/* eslint-disable @typescript-eslint/no-explicit-any */

import { useEffect, useRef } from 'react';
import { useSelector } from 'react-redux';
export const useListenerToEvent = listener => {
  const isFirstRun = useRef(true);
  const event = useSelector(state => state.sharedEvents.event);
  useEffect(() => {
    if (isFirstRun.current) {
      isFirstRun.current = false;
      return;
    }
    if (event == null || event == undefined || event?.key != listener.busEventKey) {
      return;
    }
    listener.action(event.data);
  }, [event]);
};
//# sourceMappingURL=useListenerToEvent.js.map