import { TurboModuleRegistry } from 'react-native';
const SnapshotProtectionModule = TurboModuleRegistry.getEnforcing('UNComponentsSnapshotProtectionModule');
class UNSnapshotProtectionHelper {
  static setAndroidSecurity() {
    /**
     * Set secure flag on the activity's window (if it doesn't exist)
     */
    SnapshotProtectionModule.setSecureFlags();
  }
  static setIosSecurity(shouldProtectFromSnapshot, style) {
    /**
     * Activate a Global native service for managing the snapshotProtection by the given arguments.
     */
    SnapshotProtectionModule.configureSnapshotProtectionStrategy(shouldProtectFromSnapshot, style);
  }
}
export default UNSnapshotProtectionHelper;
//# sourceMappingURL=UNSnapshotProtectionHelper.js.map