import { TurboModuleRegistry } from 'react-native';
var UNJailbrokeState = /*#__PURE__*/function (UNJailbrokeState) {
  UNJailbrokeState[UNJailbrokeState["Unknown"] = 0] = "Unknown";
  UNJailbrokeState[UNJailbrokeState["Jailbroke"] = 1] = "Jailbroke";
  UNJailbrokeState[UNJailbrokeState["NotJailbroke"] = 2] = "NotJailbroke";
  return UNJailbrokeState;
}(UNJailbrokeState || {});
const UNSecurityHelper = TurboModuleRegistry.getEnforcing('UNSecurityHelperModule');
class UNSecurityManagerHelper {
  static deviceJailbrokeState = UNJailbrokeState.Unknown;
  static async isDeviceJailbroke() {
    if (this.deviceJailbrokeState !== UNJailbrokeState.Unknown) {
      return this.isCurrentStatusIsJailbroke();
    }
    const result = await UNSecurityHelper.isDeviceJailbroke();
    UNSecurityManagerHelper.deviceJailbrokeState = result ? UNJailbrokeState.Jailbroke : UNJailbrokeState.NotJailbroke;
    return result;
  }
  static isCurrentStatusIsJailbroke = () => {
    switch (this.deviceJailbrokeState) {
      case UNJailbrokeState.Unknown:
        return false;
      case UNJailbrokeState.Jailbroke:
        return true;
      case UNJailbrokeState.NotJailbroke:
        return false;
    }
  };
}
export default UNSecurityManagerHelper;
//# sourceMappingURL=UNSecurityHelper.js.map