import { createSlice } from '@reduxjs/toolkit';
const initialState = {};
const ConfigurationSlice = createSlice({
  name: 'Configuration',
  initialState: initialState,
  reducers: {
    setUnitScript(state, action) {
      state.unitScript = action.payload;
    },
    setTheme(state, action) {
      state.theme = action.payload;
    },
    setLanguage(state, action) {
      state.language = action.payload;
    },
    setCustomerToken(state, action) {
      state.customerToken = action.payload;
    }
  }
});
export const {
  setUnitScript,
  setLanguage,
  setTheme,
  setCustomerToken
} = ConfigurationSlice.actions;
export const selectConfiguration = state => state.configuration;
export default ConfigurationSlice.reducer;
//# sourceMappingURL=ConfigurationSlice.js.map