import React from 'react';
import type { UNAccount, UNAccountMenuAction, UNAccountMenuItem, UNCreditAccount, UNComponentsOnLoadResponse, UNAccountStatusPosition } from '../../types/shared';
export interface UNAccountComponentProps {
    accountId?: string;
    menuItems?: UNAccountMenuItem[];
    theme?: string;
    language?: string;
    hideActionsMenuButton?: boolean;
    hideSelectionMenuButton?: boolean;
    hideAccountStatus?: boolean;
    accountStatusPosition?: UNAccountStatusPosition;
    hideAccountDetails?: boolean;
    hideAccountButtons?: boolean;
    hideAccountCtaBanner?: boolean;
    showLeftToSpend?: boolean;
    enableFundAccountButton?: boolean;
    enablePaySomeoneAccountButton?: boolean;
    onLoad?: (response: UNComponentsOnLoadResponse<[UNAccount]>) => void;
    onAccountChanged?: (account: UNAccount) => void;
    onRequestLeftToSpendDetails?: (account: UNCreditAccount) => void;
}
export interface UNAccountRef {
    openActionsMenu: () => void;
    openAction: (action: UNAccountMenuAction) => void;
    refresh: () => void;
}
export declare enum UNAccountAction {
    List = "account-list",
    Menu = "account-menu"
}
declare const _default: React.ForwardRefExoticComponent<UNAccountComponentProps & React.RefAttributes<UNAccountRef>>;
export default _default;
//# sourceMappingURL=UNAccountComponent.d.ts.map