import React from 'react';
import { UNComponentsOnLoadResponse, UNCard, UNCardMenuAction, UNCardMenuItem } from '../../types/shared';
import { NativeModules } from 'react-native';
export interface UNCardComponentProps {
    cardId: string;
    learnMoreUrl?: string;
    fee?: number;
    menuItems?: UNCardMenuItem[];
    theme?: string;
    language?: string;
    hideActionsMenuButton?: boolean;
    hideCardTitle?: boolean;
    hideSensitiveDataButton?: boolean;
    showCardTypeSubtitle?: boolean;
    showCardHolderSubtitle?: boolean;
    onLoad?: (response: UNComponentsOnLoadResponse<UNCard>) => void;
    onStatusChanged?: (card: UNCard) => void;
    onCardActivated?: (card: UNCard) => void;
    onAction?: (action: UNCardMenuAction) => void;
    onActionsMenuClicked?: () => void;
    pushProvisioningModule?: typeof NativeModules;
}
export interface CardRef {
    openActionsMenu: () => void;
    openAction: (action: UNCardMenuAction) => void;
    showSensitiveData: () => void;
    hideSensitiveData: () => void;
}
declare const _default: React.ForwardRefExoticComponent<UNCardComponentProps & React.RefAttributes<CardRef>>;
export default _default;
//# sourceMappingURL=UNCardComponent.d.ts.map