export declare const store: import("@reduxjs/toolkit/dist/configureStore").ToolkitStore<{
    wallet: import("../slices/pushProvisioningSlice").PushProvisioningState;
    configuration: import("../slices/ConfigurationSlice").ConfigurationState;
    sharedEvents: {
        event?: ({
            key: import("../messages/webMessages/cardMessage").CardMessage.CARD_STATUS_CHANGED;
            data: import("..").UNCard;
        } | {
            key: import("../messages/webMessages/cardMessage").CardMessage.CARD_ACTIVATED;
            data: import("..").UNCard;
        } | {
            key: import("../messages/webMessages/cardMessage").CardMessage.CARD_CREATED;
            data: import("..").UNCard;
        } | {
            key: import("../messages/webMessages/accountMessage").AccountMessage;
            data: import("..").UNAccount;
        } | {
            key: import("../messages/webMessages/activityMessage").ActivityMessage;
            data: string;
        } | {
            key: import("../messages/webMessages/multipleCardsMessage").MultipleCardsMessage.UNIT_MULTIPLE_CARDS_CARD_CLICKED;
            data: import("..").UNCard;
        } | {
            key: import("../messages/webMessages/multipleCardsMessage").MultipleCardsMessage.UNIT_MULTIPLE_CARDS_FILTERS_CHANGED;
            data: string;
        } | {
            key: import("../messages/webMessages/unitComponentsMessages").UnitComponentsMessage.UNIT_REQUEST_CLOSE_FLOW;
            data: {
                [x: string]: never;
                [x: number]: never;
                [x: symbol]: never;
            };
        } | {
            key: import("../messages/nativeMessages/bottomSheetMessage").BottomSheetNativeMessage;
            data: import("../messages/nativeMessages/bottomSheetMessage").BottomSheetRenderingMessage;
        } | {
            key: import("../messages/webMessages/unitComponentsMessages").UnitComponentsMessage.UNIT_REQUEST_REFRESH;
            data: import("../messages/webMessages/unitComponentsMessages").RequestRefreshEvent;
        } | {
            key: import("../messages/webMessages/unitComponentsMessages").UnitComponentsMessage.UNIT_MULTI_FACTOR_AUTH_FINISHED;
            data: import("../messages/webMessages/unitComponentsMessages").MultiFactorAuthenticationFinishedEvent;
        } | {
            key: import("../messages/webMessages/plaidMessages").PlaidMessage.UNIT_OPEN_PLAID;
            data: import("../messages/webMessages/plaidMessages").OpenPlaidEvent;
        } | {
            key: import("../messages/webMessages/pageMessage").PageMessage.PAGE_HEIGHT;
            data: string | number;
        } | {
            key: import("../messages/webMessages/payeeManagementMessage").PayeeManagementMessage.UNIT_COUNTERPARTY_DELETED;
            data: import("..").UNCounterparty;
        }) | undefined;
    };
    bottomSheet: import("../slices/BottomSheetSlice").BottomSheetState;
}, import("redux").AnyAction, [import("@reduxjs/toolkit").ThunkMiddleware<{
    wallet: import("../slices/pushProvisioningSlice").PushProvisioningState;
    configuration: import("../slices/ConfigurationSlice").ConfigurationState;
    sharedEvents: {
        event?: ({
            key: import("../messages/webMessages/cardMessage").CardMessage.CARD_STATUS_CHANGED;
            data: import("..").UNCard;
        } | {
            key: import("../messages/webMessages/cardMessage").CardMessage.CARD_ACTIVATED;
            data: import("..").UNCard;
        } | {
            key: import("../messages/webMessages/cardMessage").CardMessage.CARD_CREATED;
            data: import("..").UNCard;
        } | {
            key: import("../messages/webMessages/accountMessage").AccountMessage;
            data: import("..").UNAccount;
        } | {
            key: import("../messages/webMessages/activityMessage").ActivityMessage;
            data: string;
        } | {
            key: import("../messages/webMessages/multipleCardsMessage").MultipleCardsMessage.UNIT_MULTIPLE_CARDS_CARD_CLICKED;
            data: import("..").UNCard;
        } | {
            key: import("../messages/webMessages/multipleCardsMessage").MultipleCardsMessage.UNIT_MULTIPLE_CARDS_FILTERS_CHANGED;
            data: string;
        } | {
            key: import("../messages/webMessages/unitComponentsMessages").UnitComponentsMessage.UNIT_REQUEST_CLOSE_FLOW;
            data: {
                [x: string]: never;
                [x: number]: never;
                [x: symbol]: never;
            };
        } | {
            key: import("../messages/nativeMessages/bottomSheetMessage").BottomSheetNativeMessage;
            data: import("../messages/nativeMessages/bottomSheetMessage").BottomSheetRenderingMessage;
        } | {
            key: import("../messages/webMessages/unitComponentsMessages").UnitComponentsMessage.UNIT_REQUEST_REFRESH;
            data: import("../messages/webMessages/unitComponentsMessages").RequestRefreshEvent;
        } | {
            key: import("../messages/webMessages/unitComponentsMessages").UnitComponentsMessage.UNIT_MULTI_FACTOR_AUTH_FINISHED;
            data: import("../messages/webMessages/unitComponentsMessages").MultiFactorAuthenticationFinishedEvent;
        } | {
            key: import("../messages/webMessages/plaidMessages").PlaidMessage.UNIT_OPEN_PLAID;
            data: import("../messages/webMessages/plaidMessages").OpenPlaidEvent;
        } | {
            key: import("../messages/webMessages/pageMessage").PageMessage.PAGE_HEIGHT;
            data: string | number;
        } | {
            key: import("../messages/webMessages/payeeManagementMessage").PayeeManagementMessage.UNIT_COUNTERPARTY_DELETED;
            data: import("..").UNCounterparty;
        }) | undefined;
    };
    bottomSheet: import("../slices/BottomSheetSlice").BottomSheetState;
}, import("redux").AnyAction, undefined>]>;
export type RootState = ReturnType<typeof store.getState>;
//# sourceMappingURL=store.d.ts.map