import type { RequestRenderingEvent } from '../../messages/webMessages/unitComponentsMessages';
import type { WebComponentType } from './webComponent.types';
import { UNAddToWalletComponentProps } from '../../nativeComponents/UNAddToWallet/UNAddToWalletComponent/UNAddToWalletComponent';
import { UNACHCreditComponentProps } from '../../components/UNACHCreditComponent';
import { UNACHDebitComponentProps } from '../../components/UNACHDebitComponent';
import { UNCheckDepositComponentProps } from '../../components/UNCheckDepositComponent';
import { UNBookPaymentComponentProps } from '../../components/UNBookPaymentComponent';
import { UNWirePaymentComponentProps } from '../../components/UNWirePaymentComponent';
import { UNCreateCardComponentProps } from '../../components/UNCreateCardComponent';
export declare enum BottomSheetNativePlaceType {
    overFullScreen = "overFullScreen",
    modal = "modal",
    menu = "menu",
    contentHeight = "contentHeight"
}
export declare enum ScrollState {
    onTop = "onTop",
    unScrollable = "unScrollable",
    onlyWebView = "webViewScroll",
    onlyBottomSheet = "onlyBottomSheet"
}
export declare enum BottomSheetRenderingType {
    Slot = 0,
    NativeComponent = 1
}
export declare enum BottomSheetNativeComponentType {
    AddToWalletComponent = "UNAddToWalletComponent",
    ACHCreditComponent = "UNACHCreditComponent",
    ACHDebitComponent = "UNACHDebitComponent",
    CheckDepositComponent = "UNCheckDepositComponent",
    BookPaymentComponent = "UNBookPaymentComponent",
    WirePaymentComponent = "UNWirePaymentComponent",
    CreateCardComponent = "UNCreateCardComponent"
}
export type BottomSheetNativeAddToWalletComponentType = {
    type: BottomSheetNativeComponentType.AddToWalletComponent;
    props: UNAddToWalletComponentProps;
};
export type BottomSheetNativeACHCreditComponentType = {
    type: BottomSheetNativeComponentType.ACHCreditComponent;
    props: UNACHCreditComponentProps;
};
export type BottomSheetNativeACHDebitComponentType = {
    type: BottomSheetNativeComponentType.ACHDebitComponent;
    props: UNACHDebitComponentProps;
};
export type BottomSheetNativeCheckDepositComponentType = {
    type: BottomSheetNativeComponentType.CheckDepositComponent;
    props: UNCheckDepositComponentProps;
};
export type BottomSheetNativeBookPaymentComponentType = {
    type: BottomSheetNativeComponentType.BookPaymentComponent;
    props: UNBookPaymentComponentProps;
};
export type BottomSheetNativeWirePaymentComponentType = {
    type: BottomSheetNativeComponentType.WirePaymentComponent;
    props: UNWirePaymentComponentProps;
};
export type BottomSheetNativeCreateCardComponentType = {
    type: BottomSheetNativeComponentType.CreateCardComponent;
    props: UNCreateCardComponentProps;
};
export type BottomSheetNativeComponent = BottomSheetNativeAddToWalletComponentType | BottomSheetNativeACHCreditComponentType | BottomSheetNativeACHDebitComponentType | BottomSheetNativeCheckDepositComponentType | BottomSheetNativeBookPaymentComponentType | BottomSheetNativeWirePaymentComponentType | BottomSheetNativeCreateCardComponentType;
export type BottomSheetSlotData = {
    componentName?: WebComponentType;
    componentResourceId?: string;
    requestRenderingEvent: RequestRenderingEvent;
};
export type NativeComponentData = {
    component: BottomSheetNativeComponent;
    scrollState?: ScrollState;
    nativePlace?: BottomSheetNativePlaceType;
};
export interface SlotRendering {
    type: BottomSheetRenderingType.Slot;
    data: BottomSheetSlotData;
}
export interface NativeComponentRendering {
    type: BottomSheetRenderingType.NativeComponent;
    data: NativeComponentData;
}
//# sourceMappingURL=bottomSheet.types.d.ts.map