export type UNCounterparty = {
    id: string;
    attributes: {
        name: string;
        bank?: string;
        routingNumber: string;
        accountNumber: string;
        accountType: UNCounterpartyAccountType;
        type: UNCounterpartyType;
        permissions: UNCounterpartyPermission;
        createdAt: Date;
        tags: {
            [key: string]: string;
        };
    };
    relationships: {
        customer: {
            data: {
                type: 'customer';
                id: string;
            };
        };
    };
};
export declare enum UNCounterpartyType {
    Business = "Business",
    Person = "Person",
    Unknown = "Unknown"
}
export type UNCounterpartyPermission = 'CreditOnly' | 'CreditAndDebit' | 'DebitOnly';
export type UNCounterpartyAccountType = 'Checking' | 'Savings';
export type UNConnectedAccount = {
    type: 'plaidConnectedAccount';
    id: string;
    attributes: {
        mask: string;
        name: string;
        type: string;
        subType: string;
        createdAt: string;
        updatedAt: string;
        status: UNConnectedAccountStatus;
        connectionType: UNConnectionAccountType;
    };
    relationships: {
        customer: {
            data: {
                type: 'customer';
                id: string;
            };
        };
    };
};
export declare enum UNConnectedAccountStatus {
    Pending = "Pending",
    Failed = "Failed",
    Verified = "Verified"
}
export declare enum UNConnectionAccountType {
    SameDayMicroDeposit = "SameDayMicroDeposit",
    Instant = "Instant"
}
//# sourceMappingURL=counterparty.types.d.ts.map