import { UNCounterpartyAccountType } from '../counterparty.types';
import { UNACHPayment } from './achPayment.types';
import { UNBillPayment } from './billPayment.types';
import { UNBookPayment } from './bookPayment.types';
import { UNWirePayment } from './wirePayment.types';
export type UNPayment = UNACHPayment | UNBookPayment | UNWirePayment | UNBillPayment;
export declare enum UNPaymentType {
    AchPayment = "achPayment",
    BookPayment = "bookPayment",
    WirePayment = "wirePayment",
    BillPayment = "billPayment",
    CardToCardPayment = "cardToCardPayment"
}
export type UNPaymentStatus = 'Sent' | 'Rejected' | 'Pending' | 'Clearing' | 'Canceled' | 'Returned' | 'PendingReview';
export type UNAchCounterparty = {
    name: string;
    accountNumber: string;
    routingNumber: string;
    accountType: UNCounterpartyAccountType;
};
export declare enum UNPlaidAccountFilter {
    checking = "checking",
    savings = "savings"
}
export declare function parseUNAccountFilters(input?: string | null): UNPlaidAccountFilter[];
export declare enum UNCounterpartyVerificationMethod {
    Plaid = "Plaid"
}
export declare enum UNCardNetwork {
    Visa = "Visa",
    Diners = "Diners",
    Maestro = "Maestro",
    Generic = "Generic",
    Discover = "Discover",
    MasterCard = "MasterCard",
    AmericanExpress = "AmericanExpress"
}
export type UNCents = number;
export type UNRelationshipsTransaction = {
    type: string;
    id: string;
};
export type UNRelationshipsCounterparty = {
    type: string;
    id: string;
};
export type UNRelationshipsRecurringPayment = {
    type: string;
    id: string;
};
export type UNRelationshipsAccount = {
    type: string;
    id: string;
};
export type UNRelationshipsCustomer = {
    type: string;
    id: string;
};
//# sourceMappingURL=payments.types.d.ts.map