import { UNCents } from '../payment/payments.types';
import { UNDirection } from '../types';
import { UNTransactionTypes } from './transactions.types';
export type UNAtmTransaction = {
    type: UNTransactionTypes.ATM;
    id: string;
    attributes: {
        createdAt: Date;
        amount: UNCents;
        direction: UNDirection;
        balance: UNCents;
        summary: string;
        atmName: string;
        atmLocation?: string;
        interchange?: number | null;
        networkTransactionId?: string;
        cardLast4Digits: string;
    };
    relationships: {
        account: {
            data: {
                type: string;
                id: string;
            };
        };
        customer?: {
            data: {
                type: string;
                id: string;
            };
        };
        customers?: {
            data: [
                {
                    type: 'customer';
                    id: string;
                }
            ];
        };
        org?: {
            data: {
                type: string;
                id: string;
            };
        };
    };
};
//# sourceMappingURL=UNAtmTransaction.d.ts.map