import { UNCents } from '../payment/payments.types';
import { UNTransactionTypes } from './transactions.types';
import { UNDirection } from '../types';
export type UNCardReversalTransaction = {
    type: UNTransactionTypes.CardReversal;
    id: string;
    attributes: {
        createdAt: Date;
        amount: UNCents;
        direction: UNDirection;
        balance: UNCents;
        summary: string;
        networkTransactionId?: string;
    };
    relationships: {
        account: {
            data: {
                type: string;
                id: string;
            };
        };
        customer?: {
            data: {
                type: string;
                id: string;
            };
        };
        customers?: {
            data: [
                {
                    type: 'customer';
                    id: string;
                }
            ];
        };
        relatedTransaction?: {
            data: {
                type: string;
                id: string;
            };
        };
        org?: {
            data: {
                type: string;
                id: string;
            };
        };
    };
};
//# sourceMappingURL=UNCardReversalTransaction.d.ts.map