import { UNCents } from '../payment/payments.types';
import { UNMerchant, UNRichMerchantData, UNTransactionTypes } from './transactions.types';
import { UNDirection } from '../types';
export type UNCardTransaction = {
    type: UNTransactionTypes.Card;
    id: string;
    attributes: {
        cardNetwork: string;
        cardLast4Digits: string;
        createdAt: Date;
        amount: UNCents;
        direction: UNDirection;
        balance: UNCents;
        summary: string;
        interchange?: number | null;
        networkTransactionId?: string;
        richMerchantData?: UNRichMerchantData;
        paymentMethod?: string;
        merchant?: UNMerchant;
        recurring: boolean;
    };
    relationships: {
        account: {
            data: {
                type: string;
                id: string;
            };
        };
        customer?: {
            data: {
                type: string;
                id: string;
            };
        };
        customers?: {
            data: [
                {
                    type: 'customer';
                    id: string;
                }
            ];
        };
        org?: {
            data: {
                type: string;
                id: string;
            };
        };
    };
};
//# sourceMappingURL=UNCardTransaction.d.ts.map