import { UNCents } from '../payment/payments.types';
import { UNTransactionTypes } from './transactions.types';
import { UNDirection } from '../types';
export type UNCustomerRepaymentTransaction = {
    type: UNTransactionTypes.CustomerRepayment;
    id: string;
    attributes: {
        createdAt: Date;
        amount: UNCents;
        direction: UNDirection;
        balance: UNCents;
        summary: string;
        tags?: {
            [key: string]: string;
        };
    };
    relationships: {
        account: {
            data: {
                type: string;
                id: string;
            };
        };
        customer?: {
            data: {
                type: string;
                id: string;
            };
        };
        customers?: {
            data: [
                {
                    type: 'customer';
                    id: string;
                }
            ];
        };
        org?: {
            data: {
                type: string;
                id: string;
            };
        };
        payment?: {
            data: {
                type: 'payment';
                id: string;
            };
        };
    };
};
//# sourceMappingURL=UNCustomerRepaymentTransaction.d.ts.map