import { UNCents } from '../payment/payments.types';
import { UNTransactionTypes } from './transactions.types';
import { UNDirection } from '../types';
export type UNReceivedAchTransaction = {
    type: UNTransactionTypes.ReceivedACH;
    id: string;
    attributes: {
        createdAt: Date;
        amount: UNCents;
        direction: UNDirection;
        balance: UNCents;
        summary: string;
        description: string;
        companyName: string;
        counterpartyRoutingNumber: string;
        secCode: string;
        traceNumber: string;
    };
    relationships: {
        account: {
            data: {
                type: string;
                id: string;
            };
        };
        customer?: {
            data: {
                type: string;
                id: string;
            };
        };
        customers?: {
            data: [
                {
                    type: 'customer';
                    id: string;
                }
            ];
        };
        org?: {
            data: {
                type: string;
                id: string;
            };
        };
        incomingAch?: {
            data: {
                type: string;
                id: string;
            };
        };
    };
};
//# sourceMappingURL=UNReceivedAchTransaction.d.ts.map