import { UNAchCounterparty, UNCents } from '../payment/payments.types';
import { UNTransactionTypes } from './transactions.types';
import { UNDirection } from '../types';
export type UNWireTransaction = {
    type: UNTransactionTypes.Wire;
    id: string;
    attributes: {
        createdAt: Date;
        amount: UNCents;
        direction: UNDirection;
        balance: UNCents;
        summary: string;
        counterparty: UNAchCounterparty;
    };
    relationships: {
        account: {
            data: {
                type: string;
                id: string;
            };
        };
        customer?: {
            data: {
                type: string;
                id: string;
            };
        };
        customers?: {
            data: [
                {
                    type: 'customer';
                    id: string;
                }
            ];
        };
        org?: {
            data: {
                type: string;
                id: string;
            };
        };
    };
};
//# sourceMappingURL=UNWireTransaction.d.ts.map