import { UNOriginatedAchTransaction } from './UNOriginatedAchTransaction';
import { UNReceivedAchTransaction } from './UNReceivedAchTransaction';
import { UNReturnedAchTransaction } from './UNReturnedAchTransaction';
import { UNReturnedReceivedAchTransaction } from './UNReturnedReceivedAchTransaction';
import { UNDishonoredAchTransaction } from './UNDishonoredAchTransaction';
import { UNBookTransaction } from './UNBookTransaction';
import { UNPurchaseTransaction } from './UNPurchaseTransaction';
import { UNAtmTransaction } from './UNAtmTransaction';
import { UNInterchangeShareTransaction } from './UNInterchangeShareTransaction';
import { UNFeeTransaction } from './UNFeeTransaction';
import { UNFeeReversalTransaction } from './UNFeeReversalTransaction';
import { UNCardReversalTransaction } from './UNCardReversalTransaction';
import { UNCardTransaction } from './UNCardTransaction';
import { UNReleaseTransaction } from './UNReleaseTransaction';
import { UNWireTransaction } from './UNWireTransaction';
import { UNDisputeTransaction } from './UNDisputeTransaction';
import { UNInterestTransaction } from './UNInterestTransaction';
import { UNSponsoredInterestTransaction } from './UNSponsoredInterestTransaction';
import { UNInterestShareTransaction } from './UNInterestShareTransaction';
import { UNAdjustmentTransaction } from './UNAdjustmentTransaction';
import { UNDisputeSettlementTransaction } from './UNDisputeSettlementTransaction';
import { UNSettlementTransaction } from './UNSettlementTransaction';
import { UNCheckDepositTransaction } from './UNCheckDepositTransaction';
import { UNPaymentCanceledTransaction } from './UNPaymentCanceledTransaction';
import { UNBillPayTransaction } from './UNBillPayTransaction';
import { UNPaymentAdvanceTransaction } from './UNPaymentAdvanceTransaction';
import { UNChargebackTransaction } from './UNChargebackTransaction';
import { UNNegativeBalanceCoverageTransaction } from './UNNegativeBalanceCoverageTransaction';
import { UNAccountLowBalanceClosureTransaction } from './UNAccountLowBalanceClosureTransaction';
import { UNCashDepositTransaction } from './UNCashDepositTransaction';
import { UNBankRepaymentTransaction } from './UNBankRepaymentTransaction';
import { UNCustomerRepaymentTransaction } from './UNCustomerRepaymentTransaction';
import { UNCustomerRepaymentReturnedTransaction } from './UNCustomerRepaymentReturnedTransaction';
import { UNRewardTransaction } from './UNRewardTransaction';
import { UNRepaidPaymentAdvanceTransaction } from './UNRepaidPaymentAdvanceTransaction';
import { UNReturnedCheckDepositTransaction } from './UNReturnedCheckDepositTransaction';
export type UNTransaction = UNOriginatedAchTransaction | UNReceivedAchTransaction | UNReturnedAchTransaction | UNReturnedReceivedAchTransaction | UNDishonoredAchTransaction | UNBookTransaction | UNPurchaseTransaction | UNAtmTransaction | UNInterchangeShareTransaction | UNFeeTransaction | UNFeeReversalTransaction | UNCardReversalTransaction | UNCardTransaction | UNReleaseTransaction | UNWireTransaction | UNDisputeTransaction | UNInterestTransaction | UNSponsoredInterestTransaction | UNInterestShareTransaction | UNAdjustmentTransaction | UNDisputeSettlementTransaction | UNSettlementTransaction | UNCheckDepositTransaction | UNReturnedCheckDepositTransaction | UNPaymentCanceledTransaction | UNBillPayTransaction | UNPaymentAdvanceTransaction | UNRepaidPaymentAdvanceTransaction | UNChargebackTransaction | UNRewardTransaction | UNNegativeBalanceCoverageTransaction | UNAccountLowBalanceClosureTransaction | UNCashDepositTransaction | UNBankRepaymentTransaction | UNCustomerRepaymentTransaction | UNCustomerRepaymentReturnedTransaction;
export declare enum UNTransactionTypes {
    ATM = "atmTransaction",
    Adjustment = "adjustmentTransaction",
    BillPay = "billPayTransaction",
    Book = "bookTransaction",
    Card = "cardTransaction",
    CardReversal = "cardReversalTransaction",
    Chargeback = "chargebackTransaction",
    CheckDeposit = "checkDepositTransaction",
    DishonoredACH = "dishonoredAchTransaction",
    Dispute = "disputeTransaction",
    DisputeSettlement = "disputeSettlementTransaction",
    Fee = "feeTransaction",
    FeeReversal = "feeReversalTransaction",
    InterchangeShare = "interchangeShareTransaction",
    Interest = "interestTransaction",
    InterestShare = "interestShareTransaction",
    NegativeBalanceCoverage = "negativeBalanceCoverageTransaction",
    OriginatedACH = "originatedAchTransaction",
    PaymentAdvance = "paymentAdvanceTransaction",
    PaymentCanceled = "paymentCanceledTransaction",
    Purchase = "purchaseTransaction",
    ReceivedACH = "receivedAchTransaction",
    Release = "releaseTransaction",
    RepaidPaymentAdvance = "repaidPaymentAdvanceTransaction",
    ReturnedACH = "returnedAchTransaction",
    ReturnedCheckDeposit = "returnedCheckDepositTransaction",
    ReturnedReceivedACH = "returnedReceivedAchTransaction",
    Reward = "rewardTransaction",
    Settlement = "settlementTransaction",
    SponsoredInterest = "sponsoredInterestTransaction",
    Wire = "wireTransaction",
    AccountLowBalanceClosure = "accountLowBalanceClosureTransaction",
    CashDeposit = "cashDepositTransaction",
    BankRepayment = "bankRepaymentTransaction",
    CustomerRepayment = "CustomerRepaymentTransaction",
    CustomerRepaymentReturned = "CustomerRepaymentReturnedTransaction"
}
export declare enum UNTransactionType {
    ATM = "atmTransaction",
    Adjustment = "adjustmentTransaction",
    BillPay = "billPayTransaction",
    Book = "bookTransaction",
    Card = "cardTransaction",
    CardReversal = "cardReverTransactionTypessalTransaction",
    Chargeback = "chargebackTransaction",
    CheckDeposit = "checkDepositTransaction",
    DishonoredACH = "dishonoredAchTransaction",
    Dispute = "disputeTransaction",
    DisputeSettlement = "disputeSettlementTransaction",
    Fee = "feeTransaction",
    InterchangeShare = "interchangeShareTransaction",
    Interest = "interestTransaction",
    InterestShare = "interestShareTransaction",
    NegativeBalanceCoverage = "negativeBalanceCoverageTransaction",
    OriginatedACH = "originatedAchTransaction",
    PaymentAdvance = "paymentAdvanceTransaction",
    PaymentCanceled = "paymentCanceledTransaction",
    Purchase = "purchaseTransaction",
    ReceivedACH = "receivedAchTransaction",
    Release = "releaseTransaction",
    RepaidPaymentAdvance = "repaidPaymentAdvanceTransaction",
    ReturnedACH = "returnedAchTransaction",
    ReturnedCheckDeposit = "returnedCheckDepositTransaction",
    ReturnedReceivedACH = "returnedReceivedAchTransaction",
    Reward = "rewardTransaction",
    Settlement = "settlementTransaction",
    SponsoredInterest = "sponsoredInterestTransaction",
    Wire = "wireTransaction",
    AccountLowBalanceClosure = "accountLowBalanceClosureTransaction",
    CashDeposit = "cashDepositTransaction",
    BankRepayment = "bankRepaymentTransaction",
    CustomerRepayment = "CustomerRepaymentTransaction",
    CustomerRepaymentReturned = "CustomerRepaymentReturnedTransaction"
}
export type UNMerchant = {
    name?: string;
    type?: number;
    category?: string;
    location?: string;
};
export type UNRichMerchantData = {
    name: string;
    website?: string;
    logo?: string;
    phone?: string;
    categories?: {
        name: string;
        icon: string;
    }[];
    address?: UNRichMerchantDataAddress;
    coordinates?: {
        longitude: number;
        latitude: number;
    };
};
export type UNRichMerchantDataAddress = {
    city: string;
    state: string;
    country: string;
    street?: string;
};
//# sourceMappingURL=transactions.types.d.ts.map