import { NativeModules } from 'react-native';
import { UnitComponentsUiManager } from './unitComponentsUiManager/unitComponentsUiManager';
import type { UNFonts } from '../types/shared/fonts.types';
import type { UNComponentsWebVersioningStrategy } from '../types/shared';
import { UNComponentsEnvironment } from '../types/shared/env.types';
import { UnitComponentsHelpersManager } from './unitComponentsHelpersManager/UnitComponentsHelpersManager';
import { UNComponentsSecuritySettings } from '../types/shared/securitySettings';
export declare class UnitComponentsSDK {
    static ui: UnitComponentsUiManager;
    static helpers: UnitComponentsHelpersManager;
    protected static env?: UNComponentsEnvironment;
    protected static webVersioningStrategy: UNComponentsWebVersioningStrategy;
    protected static securitySettings: UNComponentsSecuritySettings;
    protected static fonts?: UNFonts;
    protected static signedNonce?: string;
    protected static pushProvisionModule?: typeof NativeModules;
    protected static sdkVersion: string;
    static init: (env: UNComponentsEnvironment, theme?: string, language?: string, fonts?: UNFonts, webVersioningStrategy?: UNComponentsWebVersioningStrategy, securitySettings?: UNComponentsSecuritySettings) => Promise<void>;
    static isInitialized: () => boolean;
    static setPushProvisioningModule: (pushProvisionModule?: typeof NativeModules) => void;
    static getPushProvisionModule: () => import("react-native").NativeModulesStatic | undefined;
    static getSecuritySettings: () => UNComponentsSecuritySettings;
    /**
     * @deprecated - Unit SDK is managing the signedNonce, no need to provide it
     */
    static setSignedNonce: (signedNonce: string) => void;
    static getEnv: () => UNComponentsEnvironment | undefined;
    static getWebVersioningStrategy: () => UNComponentsWebVersioningStrategy;
    static getFonts: () => UNFonts | undefined;
    /**
     * @deprecated - Unit SDK is managing the signedNonce, no need to provide it
     */
    static getSignedNonce: () => string | undefined;
    static setCustomerToken: (customerToken: string) => void;
    static getSdkVersion: () => string;
    static cleanUserData: () => void;
}
//# sourceMappingURL=UnitComponentsSdkManager.d.ts.map