import { KeyboardAvoidingView, Platform, ViewStyle } from 'react-native';
import React from 'react';
import { statusBarHeight } from '../../components/UNBottomSheetComponent/UNBottomSheetComponent.constants';

interface UNKeyboardAvoidingViewProps {
  children: React.ReactNode,
  style?: ViewStyle,
  keyboardVerticalOffset?: number,
}

const UNKeyboardAvoidingView = ({ children, style, keyboardVerticalOffset }: UNKeyboardAvoidingViewProps) => {
  return (
    <KeyboardAvoidingView
      style={style ?? { height: '100%' }}
      behavior="padding"
      keyboardVerticalOffset={keyboardVerticalOffset ?? statusBarHeight}
      enabled={Platform.OS === 'android'}
    >
      {children}
    </KeyboardAvoidingView>
  );
};

export default UNKeyboardAvoidingView;