import type { ACHEvent } from './achCreditMessage';
import type { BookPaymentEvent } from './bookPaymentMessage';
import type { CardEvent, CardMessage } from './cardMessage';
import type { PageEvent, PageMessage } from './pageMessage';
import type { PaymentMessage } from './paymentsMessage';
import type { UnitEvent, UnitComponentsMessage, MultiFactorAuthenticationFinishedEvent } from './unitComponentsMessages';
import type { AccountEvent, AccountMessage } from './accountMessage';
import type { CheckEvent, CheckMessage } from './checkMessage';
import type { ActivityEvent, ActivityMessage } from './activityMessage';
import type { MultipleCardsEvent, MultipleCardsMessage } from './multipleCardsMessage';
import { PlaidEvent, PlaidMessage } from './plaidMessages';
import { PayeeManagementMessage, PayeeManagementEvent } from './payeeManagementMessage';
import { MultiFactorAuthenticationMessage } from './multiFactorAuthenticationMessage';
import { WirePaymentCreatedEvent } from './wirePaymentMessage';

export type WebViewMessageType =
  | PageMessage
  | CardMessage
  | MultipleCardsMessage
  | UnitComponentsMessage
  | PaymentMessage
  | AccountMessage
  | CheckMessage
  | ActivityMessage
  | PlaidMessage
  | PayeeManagementMessage
  | MultiFactorAuthenticationMessage

type WebViewEvent =
  | PageEvent
  | UnitEvent
  | CardEvent
  | MultipleCardsEvent
  | BookPaymentEvent
  | PaymentMessage
  | ACHEvent
  | AccountEvent
  | CheckEvent
  | ActivityEvent
  | PlaidEvent
  | PayeeManagementEvent
  | WirePaymentCreatedEvent
  | MultiFactorAuthenticationFinishedEvent

export interface WebViewMessage {
  type: WebViewMessageType,
  details?: WebViewEvent
}
