import { UNConnectedAccount, UNCounterparty } from '../../types/shared';

export enum PayeeManagementMessage {
  UNIT_COUNTERPARTY_CREATED = 'unitCounterpartyCreated',
  UNIT_COUNTERPARTY_DELETED = 'unitCounterpartyDeleted',
  UNIT_CONNECTED_ACCOUNT_CREATED = 'unitConnectedAccountCreated',
  UNIT_MICRO_DEPOSIT_CONNECTION_CREATED = 'unitMicroDepositConnectionCreated',
  UNIT_MICRO_DEPOSIT_CONNECTION_REJECTED = 'unitMicroDepositConnectionRejected',
}

export interface PayeeConnectedAccountEvent {
  account: UNConnectedAccount;
}

export interface PayeeCounterpartyEvent {
  counterparty: UNCounterparty;
}

export interface PayeeMicroDepositeConnectionEvent {
  account: UNCounterparty;
}

export type PayeeManagementEvent =
  | PayeeConnectedAccountEvent
  | PayeeCounterpartyEvent
  | PayeeMicroDepositeConnectionEvent
