import type {TurboModule} from 'react-native';
import {Platform, TurboModuleRegistry} from 'react-native';

let UNShareFileModule: any = null;

if (Platform.OS === 'android') {
  interface Spec extends TurboModule {
    share(base64pdf: string, filename: string): boolean
  }
  UNShareFileModule = TurboModuleRegistry.getEnforcing<Spec>('UNShareFileModule');
} else {
  UNShareFileModule = {
    requestAccess: async () => {
      console.warn('Share file module is not available on iOS.');
      return Promise.resolve('Share file module is not available');
    },
  };
}

export default UNShareFileModule;
