import type {TurboModule} from 'react-native';
import {Platform, TurboModuleRegistry} from 'react-native';

let UNPermissionsModule: any = null;

if (Platform.OS === 'ios') {
  interface Spec extends TurboModule {
    camera(): void
  }
  UNPermissionsModule = TurboModuleRegistry.getEnforcing<Spec>('UNPermissionsModule');
} else {
  UNPermissionsModule = {
    camera: async () => {
      console.warn('Permissions module is not available on Android.');
      return Promise.resolve('Permissions module is not available');
    },
  };
}

export default UNPermissionsModule;
