import { createSlice, PayloadAction } from '@reduxjs/toolkit';
import type { RootState } from '../store';

export interface PushProvisioningState {
  signedNonce: string | null
}

const initialState: PushProvisioningState = {
  signedNonce: null
};

const pushProvisioningSlice = createSlice({
  name: 'wallet',
  initialState: initialState,
  reducers: {
    setSignedNonce(state, action: PayloadAction<string | null>) {
      state.signedNonce = action.payload;
    }
  }
});

export const { setSignedNonce } = pushProvisioningSlice.actions;
export const selectWallet = (state: RootState) => state.wallet;
export default pushProvisioningSlice.reducer;
