/* eslint-disable @typescript-eslint/no-explicit-any */

import type { UNComponentsErrorData } from '../shared/error.types';
import type { UNComponentsError } from '../shared';

const isUNComponentsErrorData = (obj: any): obj is UNComponentsErrorData => {
  return (
    typeof obj === 'object' &&
    'title' in obj
  );
};

export const isUNComponentsErrorDataArray = (arr: any): arr is UNComponentsErrorData[] => {
  return (
    Array.isArray(arr) &&
    arr.every((item) => isUNComponentsErrorData(item))
  );
};

export const isUNComponentsError = (error: any): error is UNComponentsError => {
  return 'errors' in error && isUNComponentsErrorDataArray(error.errors);
};
