import { UNCents } from './payment/payments.types';
import { UNMerchant, UNRichMerchantData } from './transaction/transactions.types';

export type UNAuthorization = {
  type: string,
  id: string,
  attributes: UNAuthorizationAttributes
  relationships: UNAuthorizationRelationships
}

export type UNAuthorizationAttributes = {
  cardNetwork: string
  createdAt: Date
  amount: UNCents
  cardLast4Digits: string
  merchant: UNMerchant
  recurring: boolean
  summary: string
  richMerchantData?: UNRichMerchantData
  paymentMethod?: string
}

export type UNAuthorizationRelationships = {
  account: {
    data: {
      type: string
      id: string
    }
  }
  customer?: {
    data: {
      type: string
      id: string
    }
  }
}