import { UNDirection, UNOrg } from '../types';
import { UNCents, UNPaymentStatus, UNPaymentType, UNRelationshipsAccount, UNRelationshipsCustomer, UNRelationshipsTransaction } from './payments.types';

export type UNBillPayment = {
  type: UNPaymentType.BillPayment
  id: string
  attributes: {
    createdAt: Date
    amount: UNCents
    direction: UNDirection
    description: string
    status: UNPaymentStatus
    reason?: string
    tags?: { [key: string]: string }
  }
  relationships: {
    account: {
      data: UNRelationshipsAccount
    }
    customer?: {
      data: UNRelationshipsCustomer
    }
    customers?: {
      data: UNRelationshipsCustomer[]
    }
    transaction?: {
      data: UNRelationshipsTransaction
    }
    org?: {
      data: UNOrg
    }
  }
}