import { UNDirection, UNOrg } from '../types';
import { UNCents, UNPaymentStatus, UNPaymentType, UNRelationshipsAccount, UNRelationshipsCustomer, UNRelationshipsRecurringPayment, UNRelationshipsTransaction } from './payments.types';

export type UNBookPayment = {
  type: UNPaymentType.BookPayment
  id: string
  attributes: {
    createdAt: Date
    amount: UNCents
    direction: UNDirection
    description: string
    status: UNPaymentStatus
    reason?: string
    tags?: { [key: string]: string }
  }
  relationships: {
    account: {
      data: UNRelationshipsAccount
    }
    customer?: {
      data: UNRelationshipsCustomer
    }
    customers?: {
      data: UNRelationshipsCustomer[]
    }
    transaction?: {
      data: UNRelationshipsTransaction
    }
    counterpartyAccount: {
      data: {
        type: string
        id: string
      }
    }
    counterpartyCustomer: {
      data: {
        type: string
        id: string
      }
    }
    recurringPayment?: {
      data: UNRelationshipsRecurringPayment
    }
    org?: {
      data: UNOrg
    }
  }
}
