import { UNAchCounterparty, UNCents } from '../payment/payments.types';
import { UNTransactionTypes } from './transactions.types';
import { UNDirection } from '../types';

export type UNBookTransaction = {
  type: UNTransactionTypes.Book
  id: string
  attributes: {
    createdAt: Date
    amount: UNCents
    direction: UNDirection
    balance: UNCents
    summary: string
    counterparty: UNAchCounterparty
    tags?: { [key: string]: string }
  }
  relationships: {
    account: {
      data: {
        type: string
        id: string
      }
    }
    customer?: {
      data: {
        type: string
        id: string
      }
    }
    customers?: {
      data: [
        {
          type: 'customer'
          id: string
        }
      ]
    }
    org?: {
      data: {
        type: string
        id: string
      }
    }
    counterpartyAccount?: {
      data: {
        type: 'account'
        id: string
      }
    }
    counterpartyCustomer?: {
      data: {
        type: 'customer'
        id: string
      }
    }
  }
}; 