import { UNMerchant, UNRichMerchantData } from './transactions.types';
import { UNCents } from '../payment/payments.types';
import { UNDirection } from '../types';
import { UNTransactionTypes } from './transactions.types';

export type UNPurchaseTransaction = {
  type: UNTransactionTypes.Purchase
  id: string
  attributes: {
    cardNetwork: string
    cardLast4Digits: string
    createdAt: Date
    amount: UNCents
    direction: UNDirection
    balance: UNCents
    summary: string
    interchange?: number | null
    networkTransactionId?: string
    richMerchantData?: UNRichMerchantData
    paymentMethod?: string
    merchant?: UNMerchant
    recurring: boolean
  }
  relationships: {
    account: {
      data: {
        type: string
        id: string
      }
    }
    customer?: {
      data: {
        type: string
        id: string
      }
    }
    customers?: {
      data: [
        {
          type: 'customer'
          id: string
        }
      ]
    }
    org?: {
      data: {
        type: string
        id: string
      }
    }
  }
}; 