import { UNCents } from '../payment/payments.types';
import { UNTransactionTypes } from './transactions.types';
import { UNDirection } from '../types';

export type UNReturnedReceivedAchTransaction = {
  type: UNTransactionTypes.ReturnedReceivedACH
  id: string
  attributes: {
    createdAt: Date
    amount: UNCents
    direction: UNDirection
    balance: UNCents
    summary: string
    companyName: string
    counterpartyName: string
    counterpartyRoutingNumber: string
    reason: string
  }
  relationships: {
    account: {
      data: {
        type: string
        id: string
      }
    }
    customer?: {
      data: {
        type: string
        id: string
      }
    }
    customers?: {
      data: [
        {
          type: 'customer'
          id: string
        }
      ]
    }
    org?: {
      data: {
        type: string
        id: string
      }
    }
    returned: {
      data: {
        type: string
        id: string
      }
    }
  }
}; 