export type UNAddress = {
  street: string,
  street2?: string,
  city: string,
  state: string,
  postalCode: string,
  country: string
}

export type UNFullName = {
  first: string,
  last: string
}

export enum UNDirection {
  Debit = 'Debit',
  Credit = 'Credit',
}

export type UNPhone = {
  countryCode: string
  number: string
}

export type UNBusinessContact = {
  fullName: UNFullName
  email: string
  phone: UNPhone
}

export type UNOrg = {
  type: 'org'
  id: string
}

export type Permissible<T> = T | undefined
