import { UNVersioningStrategyType, UNComponentsWebVersioningStrategy } from '../types/shared';
import { UNComponentsSecuritySettings, UNComponentsSnapshotProtectionStrategy } from '../types/shared/securitySettings';

const WEB_SDK_RECOMMENDED_STRATEGY: UNComponentsWebVersioningStrategy = {
  type: UNVersioningStrategyType.upToNextMinor,
  major: 2,
  minor: 4,
};

const DEFAULT_SECURITY_SETTINGS: UNComponentsSecuritySettings = {
  snapshotProtectionStrategy: UNComponentsSnapshotProtectionStrategy.FullProtection
};

export const UNComponentsSDKConstants = {
  webSDKRecommendedStrategy: WEB_SDK_RECOMMENDED_STRATEGY,
  securitySettings: DEFAULT_SECURITY_SETTINGS
};
